[问题]编译安装intel集显驱动不行啊

为当前最终发行版之前的所有版本提供支持
回复
lj8563
帖子: 8
注册时间: 2006-11-29 12:16
送出感谢: 0
接收感谢: 0

[问题]编译安装intel集显驱动不行啊

#1

帖子 lj8563 » 2007-08-26 9:17

我的系统是7.04,集显是852GM的,从intel官网上下载了i915Graphics.tar.gz这个驱动,用./install.sh安装,按提示到了某步后就显示“agpart编译失败”、“DRM编译失败”,安装失败了,怎么办啊?

还有firefox为什么不能登录ubuntu中文论坛呢?在登录页面输入ID和密码后,转回首页仍然显示未登录
头像
nihui
帖子: 1746
注册时间: 2006-10-21 12:03
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

Re: [问题]编译安装intel集显驱动不行啊

#2

帖子 nihui » 2007-08-26 9:22

lj8563 写了:我的系统是7.04,集显是852GM的,从intel官网上下载了i915Graphics.tar.gz这个驱动,用./install.sh安装,按提示到了某步后就显示“agpart编译失败”、“DRM编译失败”,安装失败了,怎么办啊?

还有firefox为什么不能登录ubuntu中文论坛呢?在登录页面输入ID和密码后,转回首页仍然显示未登录


编译环境有否?

删除 cookies 试试~
.

私人空间
附有 Magic Linux 2.1 最新开发日志~


미안하다, 사랑한다


欢迎来 #xfce-cn 中文频道~~
头像
Beetle
帖子: 1637
注册时间: 2005-10-14 16:55
系统: OS X
来自: 江苏
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 Beetle » 2007-08-26 9:58

为什么不直接用源里的驱动?
lj8563
帖子: 8
注册时间: 2006-11-29 12:16
送出感谢: 0
接收感谢: 0

#4

帖子 lj8563 » 2007-08-26 10:06

源里的驱动是哪个啊...我用清华的源,好像找不到
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 skyx » 2007-08-26 10:12

这个显卡也算是中古显卡,驱动源中早就有了。
no security measure is worth anything if an attacker has physical access to the machine
lukid
帖子: 59
注册时间: 2007-08-18 14:13
来自: Hangzhou
送出感谢: 0
接收感谢: 0

#6

帖子 lukid » 2007-08-26 10:20

VIA UniChrome Pro的集成显卡,源里有驱动么?
lj8563
帖子: 8
注册时间: 2006-11-29 12:16
送出感谢: 0
接收感谢: 0

#7

帖子 lj8563 » 2007-08-26 11:35

在linuxsir上看了些帖子,又去freedesktop.org下载了最新的驱动,依然无解...
出错信息:The script will now compile the DRM kernel modules for your machine.

Press ENTER to continue or CTRL-C to exit.


Compiling...
ERROR: Kernel modules did not compile

The DRI drivers can not be installed without the latest kernel modules.
Installation will be aborted. See the dri.log file for information on
what went wrong.
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#8

帖子 skyx » 2007-08-26 11:46

lukid 写了:VIA UniChrome Pro的集成显卡,源里有驱动么?




pro的不清楚,试过才知道

chrome源里的确用,只是驱动是开源的,via好像没有非开源的商业opengl 驱动

intel和nvidia 的商业闭源驱动在ubuntu源里(光盘中)是有的。


代码: 全选

sudo apt-get install xserver-xorg-video-openchrome 
no security measure is worth anything if an attacker has physical access to the machine
lj8563
帖子: 8
注册时间: 2006-11-29 12:16
送出感谢: 0
接收感谢: 0

#9

帖子 lj8563 » 2007-08-26 12:34

intel的闭源驱动还是没能找到...请给个具体的软件包名称好么?
回复

回到 “老旧版本支持”